Bug 50041 - (9)Bad file descriptor: apr_socket_accept: (client socket) on graceful restart
Summary: (9)Bad file descriptor: apr_socket_accept: (client socket) on graceful restart
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.2.16
Hardware: PC Linux
: P2 minor with 4 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-10-04 03:28 UTC by Rowan Wookey
Modified: 2018-11-07 21:08 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rowan Wookey 2010-10-04 03:28:41 UTC
When running apachectl -k restart the following error appears in the error log, no other adverse side effects are noticed. 

httpd is compiled from source.

Loaded Modules:
 core_module (static)
 mpm_prefork_module (static)
 http_module (static)
 so_module (static)
Syntax OK


I've tested this on 3 machines one running ubuntu 9.04 one ubuntu 9.10 and one running 10.04.
Comment 1 apache025 2011-12-01 06:20:17 UTC
I get the same error consistently when doing a graceful restart (which I do in order to update a downloaded CRL file).

I am running Apache 2.2.16 on a Debian squeeze system.

Here is the version string:
Apache/2.2.16 (Debian) PHP/5.3.3-7+squeeze3 with Suhosin-Patch mod_ssl/2.2.16 OpenSSL/0.9.8o WebAuth/3.7.3 configured
Comment 2 Takashi Sato 2012-02-15 04:10:01 UTC
Is this the same issue as bug #49058 ?
Comment 3 William A. Rowe Jr. 2018-11-07 21:08:59 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.